Skip to content

Find Brand

Find matching SPATE brands by brand name or partial brand name.

GET /v1/latest/find-brand/{name}

Requires an API bearer token.

Authorization: Bearer <token>
Name Type Required Description
name string Yes Brand name or partial brand name to search for.

Returns up to 100 brand matches whose names contain the provided search text.

Field Type Description
name string The search text sent in the request.
brands array Matching brands, each { name, uuid }. Use uuid as the brand_id of the brand endpoints.
call_cost integer Credits charged for the call.
data_cost integer Credits charged for the returned data. Always 0 for this endpoint.
Terminal window
curl \
-H "Authorization: Bearer $SPATE_API_TOKEN" \
"https://api.spate.nyc/v1/latest/find-brand/nivea"
200 OK
{
"key":"/v1/2026w39/find-brand/nivea",
"credits_used":100,
"data":{
"name":"nivea",
"brands": [
{
"name":"nivea",
"uuid":"19dc4e63-73ea-497e-aaf6-0f914c687f54"
},
{
"name":"nivea for men",
"uuid":"56b737d9-4846-4074-94db-16be6602d419"
}
],
"call_cost":100,
"data_cost":0
}
}